Bug 587831 - [abrt] crash in tar-2:1.22-12.fc12: Process /bin/tar was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in tar-2:1.22-12.fc12: Process /bin/tar was killed by signal 11 ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tar   
(Show other bugs)
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:505d76a26776bf9a3c31f48a57c...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-01 01:06 UTC by Eric Hopper
Modified: 2010-05-20 18:45 UTC (History)
2 users (show)

Fixed In Version: tar-1.22-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 07:25:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.99 KB, text/plain)
2010-05-01 01:06 UTC, Eric Hopper
no flags Details

Description Eric Hopper 2010-05-01 01:06:14 UTC
abrt 1.0.8 detected a crash.

architecture: x86_64
cmdline: tar -tvf appl.tar
comment: I'm not sure which invocation of tar this was.  I think, maybe, it was decoding an archive that wasn't finished downloading.
component: tar
executable: /bin/tar
kernel: 2.6.32.9-70.fc12.x86_64
package: tar-2:1.22-12.fc12
rating: 4
reason: Process /bin/tar was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
How to reproduce: I have no idea to reproduce this.

backtrace
-----
Core was generated by `tar -tvf appl.tar'.
Program terminated with signal 11, Segmentation fault.
#0  memcpy () at ../sysdeps/x86_64/memcpy.S:191
191	../sysdeps/x86_64/memcpy.S: No such file or directory.
	in ../sysdeps/x86_64/memcpy.S

Thread 1 (Thread 15602):
#0  memcpy () at ../sysdeps/x86_64/memcpy.S:191
No locals.
#1  0x000000000040fedb in xheader_read (xhdr=0x657db8, p=0x0, size=166)
    at /usr/include/bits/string3.h:52
        j = <value optimized out>
#2  0x00000000004161c7 in read_header_primitive (raw_extended_headers=false, 
    info=0x657c60) at list.c:399
        status = HEADER_SUCCESS
        header = 0x1129e00
        bp = <value optimized out>
        data_block = <value optimized out>
        size = <value optimized out>
        written = <value optimized out>
        next_long_name = <value optimized out>
        next_long_link = <value optimized out>
        next_long_name_blocks = <value optimized out>
        next_long_link_blocks = <value optimized out>
#3  0x00000000004166d5 in read_and (do_something=0x416020 <list_archive>)
    at list.c:80
        status = HEADER_SUCCESS
        prev_status = HEADER_SUCCESS
#4  0x000000000041d46a in main (argc=<value optimized out>, 
    argv=<value optimized out>) at tar.c:2575
No locals.
From                To                  Syms Read   Shared Object Library
0x0000003351c01d30  0x0000003351c05c18  Yes (*)     /lib64/libacl.so.1
0x0000003150205550  0x0000003150215028  Yes (*)     /lib64/libselinux.so.1
0x000000314f602140  0x000000314f605578  Yes (*)     /lib64/librt.so.1
0x000000314e61e860  0x000000314e7261bc  Yes (*)     /lib64/libc.so.6
0x0000003b1f801350  0x0000003b1f803448  Yes (*)     /lib64/libattr.so.1
0x000000314ea00de0  0x000000314ea01998  Yes (*)     /lib64/libdl.so.2
0x000000314ce00af0  0x000000314ce183d4  Yes (*)     /lib64/ld-linux-x86-64.so.2
0x000000314ee05390  0x000000314ee10918  Yes (*)     /lib64/libpthread.so.0
(*): Shared library is missing debugging information.
$1 = 0x0
No symbol "__glib_assert_msg" in current context.

Comment 1 Eric Hopper 2010-05-01 01:06:16 UTC
Created attachment 410626 [details]
File: backtrace

Comment 2 Ondrej Vasik 2010-05-03 08:44:17 UTC
Thanks for report and thanks for backtrace... it's already fixed in tar-1.23 ...

Comment 3 Fedora Update System 2010-05-03 10:50:56 UTC
tar-1.22-17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tar-1.22-17.fc13

Comment 4 Fedora Update System 2010-05-03 10:55:31 UTC
tar-1.22-13.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tar-1.22-13.fc12

Comment 5 Fedora Update System 2010-05-03 10:56:57 UTC
tar-1.22-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tar-1.22-6.fc11

Comment 6 Fedora Update System 2010-05-04 06:11:57 UTC
tar-1.22-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tar-1.22-6.fc11

Comment 7 Fedora Update System 2010-05-04 06:20:34 UTC
tar-1.22-17.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tar-1.22-17.fc13

Comment 8 Fedora Update System 2010-05-04 06:20:59 UTC
tar-1.22-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tar-1.22-13.fc12

Comment 9 Fedora Update System 2010-05-05 07:25:38 UTC
tar-1.22-17.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-05-20 18:44:15 UTC
tar-1.22-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-05-20 18:45:30 UTC
tar-1.22-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.